Bug 20079 - Display stack trace for development installations
Summary: Display stack trace for development installations
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Whiteboard:
Keywords:
Depends on: 18964
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-23 18:53 UTC by Jonathan Druart
Modified: 2018-09-21 07:21 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20079: Display stack trace for development installations (1.48 KB, patch)
2018-01-23 18:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20079: Display stack trace for development installations (1.30 KB, patch)
2018-01-23 19:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20079: Display stack trace for development installations (1.30 KB, patch)
2018-03-01 17:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20079: Display stack trace for development installations (1.36 KB, patch)
2018-07-12 14:36 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2018-01-23 18:53:15 UTC
Starman -E should be development instead of deployment for dev installs
Comment 1 Jonathan Druart 2018-01-23 18:56:56 UTC
Created attachment 70860 [details] [review]
Bug 20079: Display stack trace for development installations

"""The default value is development, which causes plackup to
load the middleware components: AccessLog, StackTrace, and Lint unless
--no-default-middleware is set."""

Test plan:
Confirm that the stack trace is displayed when something is wrong (die somewhere to test)
for dev installations (inside a devbox)
The -E flag must remain deployment for non-dev installs
Comment 2 Jonathan Druart 2018-01-23 19:14:22 UTC
Created attachment 70862 [details] [review]
Bug 20079: Display stack trace for development installations

"""The default value is development, which causes plackup to
load the middleware components: AccessLog, StackTrace, and Lint unless
--no-default-middleware is set."""

Test plan:
Confirm that the stack trace is displayed when something is wrong (die somewhere to test)
for dev installations (inside a devbox)
The -E flag must remain deployment for non-dev installs
Comment 3 Jonathan Druart 2018-03-01 17:15:26 UTC
Created attachment 72341 [details] [review]
Bug 20079: Display stack trace for development installations

"""The default value is development, which causes plackup to
load the middleware components: AccessLog, StackTrace, and Lint unless
--no-default-middleware is set."""

Test plan:
Confirm that the stack trace is displayed when something is wrong (die somewhere to test)
for dev installations (inside a devbox)
The -E flag must remain deployment for non-dev installs
Comment 4 Martin Renvoize 2018-07-12 14:36:30 UTC
Created attachment 76892 [details] [review]
Bug 20079: Display stack trace for development installations

"""The default value is development, which causes plackup to
load the middleware components: AccessLog, StackTrace, and Lint unless
--no-default-middleware is set."""

Test plan:
Confirm that the stack trace is displayed when something is wrong (die somewhere to test)
for dev installations (inside a devbox)
The -E flag must remain deployment for non-dev installs

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 5 Martin Renvoize 2018-07-12 14:37:46 UTC
A trivial patch that just serves to improves developers lives when working with plack :)

I bet half of us are effectively running this way anyway.. going to go straight to Passed QA for this one.
Comment 6 Nick Clemens 2018-07-18 19:17:23 UTC
Awesome work all!

Pushed to master for 18.11
Comment 7 Martin Renvoize 2018-08-02 12:03:28 UTC
Pushed to 18.05.x for 18.05.03

Helpful to all developers working on bugfixes, although it's an enhancement there are no visible effects for end users. Backported.
Comment 8 Fridolin SOMERS 2018-09-21 07:21:47 UTC
Depends on Bug 18964 not in 17.11.x